/*  
 *	WRay_Menu.h
 *
 *	QuickDraw 3D 1.6 Sample
 *	Robert Dierkes
 *
 *	 07/28/98	RDD		Created.
 */

#ifndef _HWRay_Menu
#define _HWRay_Menu

#include "WRay_Document.h"


/*------------------*/
/*	  Constants		*/
/*------------------*/
enum {
	mApple = 128,
	mFile,
	mEdit,
	mRay
};


/* mApple Menu */
enum {
	iAbout = 1
};


/* mFile Menu */
enum {
	iNew = 1,
	iOpen,
	iClose,
		iFileSeparator1,
	iSave,
	iSaveAs,
		iFileSeparator2,
	iQuit
};


/* mEdit Menu */
enum {
	iUndo = 1,
		iEditSeparator1,
	iCut,
	iCopy,
	iPaste,
	iClear
};


/* mRay Menu */
enum {
	iRayMoveBall = 1,
	iRayShowLines,
	iRaySeparator1,
	iRayRotateCamera,
	iRayRotateSlow,
	iRayRotateMedium,
	iRayRotateFast,
	iRaySeparator2,
	iRaySound
};


/*--------------*/
/*	Prototypes	*/
/*--------------*/
TQ3Boolean	Menu_Initialize (
			void);

TQ3Boolean	Menu_InitializeItems (
			TDocumentPtr	pDocument);

TQ3Boolean	Menu_Command (
			long			menuResult,
			TDocumentPtr	pDocument);

#endif /* _HWRay_Menu */
