/*  
 *	Txtr_Memory.h
 *
 *	QuickDraw 3D 1.6 Sample
 *	Robert Dierkes
 *
 *	 07/28/98	RDD		Created.
 */

#ifndef _HTxtr_Memory
#define _HTxtr_Memory


#ifdef __cplusplus
extern "C" {
#endif

unsigned char *Memory_Sys_New(
	unsigned long	size);

unsigned char *Memory_App_New(
	unsigned long	size);

void Memory_Dispose(
	void			*memory);

void Memory_Copy(
	void			*source,
	void			*destination,
	unsigned long	size);

TQ3Status Object_Dispose_NULL(
	TQ3Object		*pObject);


#ifdef __cplusplus
}
#endif


#endif /* _HTxtr_Memory */
