/*  
 *	WRay_Pick.h
 *
 *	QuickDraw 3D 1.6 Sample
 *	Robert Dierkes
 *
 *	 07/28/98	RDD		Created.
 */

#ifndef _HWRay_Pick
#define _HWRay_Pick

#include "WRay_Document.h"


#ifdef __cplusplus
extern "C" {
#endif

TQ3Boolean Pick_Initialize(
	void);

TQ3Boolean Pick_Exit(
	void);

TQ3Boolean Pick_GetIsAnimating(
	void);

TQ3Status Pick_SetIsAnimating(
	TDocumentPtr		pDoc,
	TQ3Boolean			newIsAnimating);

TQ3Status Pick_BeginAnimation(
	TDocumentPtr		pDocument);

TQ3Status Pick_EndAnimation(
	TDocumentPtr		pDocument);

TQ3Status Pick_Animate(
	TDocumentPtr		pDocument);


#ifdef __cplusplus
}
#endif


#endif /* _HWRay_Pick */
